// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		FCF81DF823593ABA003EFB23 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = FCF81DF723593ABA003EFB23 /* AppDelegate.swift */; };
		FCF81DFA23593ABA003EFB23 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = FCF81DF923593ABA003EFB23 /* ViewController.swift */; };
		FCF81DFD23593ABA003EFB23 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = FCF81DFB23593ABA003EFB23 /* Main.storyboard */; };
		FCF81DFF23593ABB003EFB23 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = FCF81DFE23593ABB003EFB23 /* Assets.xcassets */; };
		FCF81E0223593ABB003EFB23 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = FCF81E0023593ABB003EFB23 /* LaunchScreen.storyboard */; };
		FCF81E0D23593ABB003EFB23 /* _6interactingwithbuttonsTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = FCF81E0C23593ABB003EFB23 /* _6interactingwithbuttonsTests.swift */; };
		FCF81E1823593ABB003EFB23 /* _6interactingwithbuttonsUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = FCF81E1723593ABB003EFB23 /* _6interactingwithbuttonsUITests.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		FCF81E0923593ABB003EFB23 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FCF81DEC23593ABA003EFB23 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FCF81DF323593ABA003EFB23;
			remoteInfo = 16interactingwithbuttons;
		};
		FCF81E1423593ABB003EFB23 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FCF81DEC23593ABA003EFB23 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FCF81DF323593ABA003EFB23;
			remoteInfo = 16interactingwithbuttons;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		FCF81DF423593ABA003EFB23 /* 16interactingwithbuttons.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = 16interactingwithbuttons.app; sourceTree = BUILT_PRODUCTS_DIR; };
		FCF81DF723593ABA003EFB23 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		FCF81DF923593ABA003EFB23 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		FCF81DFC23593ABA003EFB23 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		FCF81DFE23593ABB003EFB23 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		FCF81E0123593ABB003EFB23 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		FCF81E0323593ABB003EFB23 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		FCF81E0823593ABB003EFB23 /* 16interactingwithbuttonsTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = 16interactingwithbuttonsTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		FCF81E0C23593ABB003EFB23 /* _6interactingwithbuttonsTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = _6interactingwithbuttonsTests.swift; sourceTree = "<group>"; };
		FCF81E0E23593ABB003EFB23 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		FCF81E1323593ABB003EFB23 /* 16interactingwithbuttonsUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = 16interactingwithbuttonsUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		FCF81E1723593ABB003EFB23 /* _6interactingwithbuttonsUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = _6interactingwithbuttonsUITests.swift; sourceTree = "<group>"; };
		FCF81E1923593ABB003EFB23 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		FCF81DF123593ABA003EFB23 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		FCF81E0523593ABB003EFB23 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		FCF81E1023593ABB003EFB23 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		FCF81DEB23593ABA003EFB23 = {
			isa = PBXGroup;
			children = (
				FCF81DF623593ABA003EFB23 /* 16interactingwithbuttons */,
				FCF81E0B23593ABB003EFB23 /* 16interactingwithbuttonsTests */,
				FCF81E1623593ABB003EFB23 /* 16interactingwithbuttonsUITests */,
				FCF81DF523593ABA003EFB23 /* Products */,
			);
			sourceTree = "<group>";
		};
		FCF81DF523593ABA003EFB23 /* Products */ = {
			isa = PBXGroup;
			children = (
				FCF81DF423593ABA003EFB23 /* 16interactingwithbuttons.app */,
				FCF81E0823593ABB003EFB23 /* 16interactingwithbuttonsTests.xctest */,
				FCF81E1323593ABB003EFB23 /* 16interactingwithbuttonsUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		FCF81DF623593ABA003EFB23 /* 16interactingwithbuttons */ = {
			isa = PBXGroup;
			children = (
				FCF81DF723593ABA003EFB23 /* AppDelegate.swift */,
				FCF81DF923593ABA003EFB23 /* ViewController.swift */,
				FCF81DFB23593ABA003EFB23 /* Main.storyboard */,
				FCF81DFE23593ABB003EFB23 /* Assets.xcassets */,
				FCF81E0023593ABB003EFB23 /* LaunchScreen.storyboard */,
				FCF81E0323593ABB003EFB23 /* Info.plist */,
			);
			path = 16interactingwithbuttons;
			sourceTree = "<group>";
		};
		FCF81E0B23593ABB003EFB23 /* 16interactingwithbuttonsTests */ = {
			isa = PBXGroup;
			children = (
				FCF81E0C23593ABB003EFB23 /* _6interactingwithbuttonsTests.swift */,
				FCF81E0E23593ABB003EFB23 /* Info.plist */,
			);
			path = 16interactingwithbuttonsTests;
			sourceTree = "<group>";
		};
		FCF81E1623593ABB003EFB23 /* 16interactingwithbuttonsUITests */ = {
			isa = PBXGroup;
			children = (
				FCF81E1723593ABB003EFB23 /* _6interactingwithbuttonsUITests.swift */,
				FCF81E1923593ABB003EFB23 /* Info.plist */,
			);
			path = 16interactingwithbuttonsUITests;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		FCF81DF323593ABA003EFB23 /* 16interactingwithbuttons */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = FCF81E1C23593ABB003EFB23 /* Build configuration list for PBXNativeTarget "16interactingwithbuttons" */;
			buildPhases = (
				FCF81DF023593ABA003EFB23 /* Sources */,
				FCF81DF123593ABA003EFB23 /* Frameworks */,
				FCF81DF223593ABA003EFB23 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = 16interactingwithbuttons;
			productName = 16interactingwithbuttons;
			productReference = FCF81DF423593ABA003EFB23 /* 16interactingwithbuttons.app */;
			productType = "com.apple.product-type.application";
		};
		FCF81E0723593ABB003EFB23 /* 16interactingwithbuttonsTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = FCF81E1F23593ABB003EFB23 /* Build configuration list for PBXNativeTarget "16interactingwithbuttonsTests" */;
			buildPhases = (
				FCF81E0423593ABB003EFB23 /* Sources */,
				FCF81E0523593ABB003EFB23 /* Frameworks */,
				FCF81E0623593ABB003EFB23 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				FCF81E0A23593ABB003EFB23 /* PBXTargetDependency */,
			);
			name = 16interactingwithbuttonsTests;
			productName = 16interactingwithbuttonsTests;
			productReference = FCF81E0823593ABB003EFB23 /* 16interactingwithbuttonsTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		FCF81E1223593ABB003EFB23 /* 16interactingwithbuttonsUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = FCF81E2223593ABB003EFB23 /* Build configuration list for PBXNativeTarget "16interactingwithbuttonsUITests" */;
			buildPhases = (
				FCF81E0F23593ABB003EFB23 /* Sources */,
				FCF81E1023593ABB003EFB23 /* Frameworks */,
				FCF81E1123593ABB003EFB23 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				FCF81E1523593ABB003EFB23 /* PBXTargetDependency */,
			);
			name = 16interactingwithbuttonsUITests;
			productName = 16interactingwithbuttonsUITests;
			productReference = FCF81E1323593ABB003EFB23 /* 16interactingwithbuttonsUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		FCF81DEC23593ABA003EFB23 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1030;
				LastUpgradeCheck = 1030;
				ORGANIZATIONNAME = jondoneathome;
				TargetAttributes = {
					FCF81DF323593ABA003EFB23 = {
						CreatedOnToolsVersion = 10.3;
					};
					FCF81E0723593ABB003EFB23 = {
						CreatedOnToolsVersion = 10.3;
						TestTargetID = FCF81DF323593ABA003EFB23;
					};
					FCF81E1223593ABB003EFB23 = {
						CreatedOnToolsVersion = 10.3;
						TestTargetID = FCF81DF323593ABA003EFB23;
					};
				};
			};
			buildConfigurationList = FCF81DEF23593ABA003EFB23 /* Build configuration list for PBXProject "16interactingwithbuttons" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = FCF81DEB23593ABA003EFB23;
			productRefGroup = FCF81DF523593ABA003EFB23 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				FCF81DF323593ABA003EFB23 /* 16interactingwithbuttons */,
				FCF81E0723593ABB003EFB23 /* 16interactingwithbuttonsTests */,
				FCF81E1223593ABB003EFB23 /* 16interactingwithbuttonsUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		FCF81DF223593ABA003EFB23 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				FCF81E0223593ABB003EFB23 /* LaunchScreen.storyboard in Resources */,
				FCF81DFF23593ABB003EFB23 /* Assets.xcassets in Resources */,
				FCF81DFD23593ABA003EFB23 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		FCF81E0623593ABB003EFB23 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		FCF81E1123593ABB003EFB23 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		FCF81DF023593ABA003EFB23 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				FCF81DFA23593ABA003EFB23 /* ViewController.swift in Sources */,
				FCF81DF823593ABA003EFB23 /* AppDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		FCF81E0423593ABB003EFB23 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				FCF81E0D23593ABB003EFB23 /* _6interactingwithbuttonsTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		FCF81E0F23593ABB003EFB23 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				FCF81E1823593ABB003EFB23 /* _6interactingwithbuttonsUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		FCF81E0A23593ABB003EFB23 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = FCF81DF323593ABA003EFB23 /* 16interactingwithbuttons */;
			targetProxy = FCF81E0923593ABB003EFB23 /* PBXContainerItemProxy */;
		};
		FCF81E1523593ABB003EFB23 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = FCF81DF323593ABA003EFB23 /* 16interactingwithbuttons */;
			targetProxy = FCF81E1423593ABB003EFB23 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		FCF81DFB23593ABA003EFB23 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				FCF81DFC23593ABA003EFB23 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		FCF81E0023593ABB003EFB23 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				FCF81E0123593ABB003EFB23 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		FCF81E1A23593ABB003EFB23 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.4;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		FCF81E1B23593ABB003EFB23 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.4;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		FCF81E1D23593ABB003EFB23 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = 16interactingwithbuttons/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "madeintaiwan.-6interactingwithbuttons";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		FCF81E1E23593ABB003EFB23 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = 16interactingwithbuttons/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "madeintaiwan.-6interactingwithbuttons";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		FCF81E2023593ABB003EFB23 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = 16interactingwithbuttonsTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "madeintaiwan.-6interactingwithbuttonsTests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/16interactingwithbuttons.app/16interactingwithbuttons";
			};
			name = Debug;
		};
		FCF81E2123593ABB003EFB23 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = 16interactingwithbuttonsTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "madeintaiwan.-6interactingwithbuttonsTests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/16interactingwithbuttons.app/16interactingwithbuttons";
			};
			name = Release;
		};
		FCF81E2323593ABB003EFB23 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = 16interactingwithbuttonsUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "madeintaiwan.-6interactingwithbuttonsUITests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = 16interactingwithbuttons;
			};
			name = Debug;
		};
		FCF81E2423593ABB003EFB23 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = 16interactingwithbuttonsUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "madeintaiwan.-6interactingwithbuttonsUITests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = 16interactingwithbuttons;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		FCF81DEF23593ABA003EFB23 /* Build configuration list for PBXProject "16interactingwithbuttons" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FCF81E1A23593ABB003EFB23 /* Debug */,
				FCF81E1B23593ABB003EFB23 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		FCF81E1C23593ABB003EFB23 /* Build configuration list for PBXNativeTarget "16interactingwithbuttons" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FCF81E1D23593ABB003EFB23 /* Debug */,
				FCF81E1E23593ABB003EFB23 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		FCF81E1F23593ABB003EFB23 /* Build configuration list for PBXNativeTarget "16interactingwithbuttonsTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FCF81E2023593ABB003EFB23 /* Debug */,
				FCF81E2123593ABB003EFB23 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		FCF81E2223593ABB003EFB23 /* Build configuration list for PBXNativeTarget "16interactingwithbuttonsUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FCF81E2323593ABB003EFB23 /* Debug */,
				FCF81E2423593ABB003EFB23 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = FCF81DEC23593ABA003EFB23 /* Project object */;
}
